Loading...
Searching...
No Matches
mbedtls_ecjpake_context Struct Reference

`#include <ecjpake.h>`

Collaboration diagram for mbedtls_ecjpake_context:
[legend]

## Data Fields

mbedtls_md_type_t | private_md_type
mbedtls_ecp_group | private_grp
mbedtls_ecjpake_role | private_role
int | private_point_format
mbedtls_ecp_point | private_Xm1
mbedtls_ecp_point | private_Xm2
mbedtls_ecp_point | private_Xp1
mbedtls_ecp_point | private_Xp2
mbedtls_ecp_point | private_Xp
mbedtls_mpi | private_xm1
mbedtls_mpi | private_xm2
mbedtls_mpi | private_s
int | dummy

## Detailed Description

EC J-PAKE context structure.

J-PAKE is a symmetric protocol, except for the identifiers used in Zero-Knowledge Proofs, and the serialization of the second message (KeyExchange) as defined by the Thread spec.

In order to benefit from this symmetry, we choose a different naming convention from the Thread v1.0 spec. Correspondence is indicated in the description as a pair C: client name, S: server name

Definition at line 60 of file ecjpake.h.

## Field Documentation

## dummy

int mbedtls_ecjpake_context::dummy

Definition at line 11 of file ecjpake_alt.h.

## private_grp

mbedtls_ecp_group mbedtls_ecjpake_context::private_grp

Elliptic curve

Definition at line 62 of file ecjpake.h.

## private_md_type

mbedtls_md_type_t mbedtls_ecjpake_context::private_md_type

Hash to use

Definition at line 61 of file ecjpake.h.

## private_point_format

int mbedtls_ecjpake_context::private_point_format

Format for point export

Definition at line 64 of file ecjpake.h.

## private_role

mbedtls_ecjpake_role mbedtls_ecjpake_context::private_role

Are we client or server?

Definition at line 63 of file ecjpake.h.

## private_s

mbedtls_mpi mbedtls_ecjpake_context::private_s

Pre-shared secret (passphrase)

Definition at line 75 of file ecjpake.h.

## private_Xm1

mbedtls_ecp_point mbedtls_ecjpake_context::private_Xm1

My public key 1 C: X1, S: X3

Definition at line 66 of file ecjpake.h.

## private_xm1

mbedtls_mpi mbedtls_ecjpake_context::private_xm1

My private key 1 C: x1, S: x3

Definition at line 72 of file ecjpake.h.

## private_Xm2

mbedtls_ecp_point mbedtls_ecjpake_context::private_Xm2

My public key 2 C: X2, S: X4

Definition at line 67 of file ecjpake.h.

## private_xm2

mbedtls_mpi mbedtls_ecjpake_context::private_xm2

My private key 2 C: x2, S: x4

Definition at line 73 of file ecjpake.h.

## private_Xp

mbedtls_ecp_point mbedtls_ecjpake_context::private_Xp

Peer public key C: Xs, S: Xc

Definition at line 70 of file ecjpake.h.

## private_Xp1

mbedtls_ecp_point mbedtls_ecjpake_context::private_Xp1

Peer public key 1 C: X3, S: X1

Definition at line 68 of file ecjpake.h.

## private_Xp2

mbedtls_ecp_point mbedtls_ecjpake_context::private_Xp2

Peer public key 2 C: X4, S: X2

Definition at line 69 of file ecjpake.h.

The documentation for this struct was generated from the following files:

- ecjpake.h
- ecjpake_alt.h